# Get the idle period configuration of the contract Required Scopes: Get the idle period configuration of the contract Endpoint: GET /v1/memberships/{contractId}/self-service/idle-periods/config Version: 1.23.0 Security: ApiKeyAuth ## Path parameters: - `contractId` (integer, required) Unique ID of the contract ## Response 200 fields (application/json): - `temporalUnit` (string, required) Represents the temporal unit of an idle period Enum: "DAY", "WEEK", "MONTH" - `maxTerms` (integer, required) The maximum number of terms allowed when creating or updating a single idle period. Example: 6 - `maxTermPerReferencePeriod` (integer) The maximum number of terms allowed in a reference period Example: 4 - `referencePeriod` (string, required) Represents the reference period for idle period term limits Enum: "CALENDAR_YEAR", "CONTRACT_YEAR" - `firstPossibleStartDate` (string, required) The first possible start date of the idle period Example: "2023-08-01" - `nextPossibleStartDateOnly` (boolean, required) Whether the given first possible start date of the idle period is the only allowed start date - `idlePeriodFee` (object, required) Represents a financial data - `idlePeriodFee.amount` (number, required) Amount of the finance data tuple Example: 20 - `idlePeriodFee.currency` (string, required) Currency of the finance data tuple Example: "EUR" - `accessRefusal` (boolean, required) Whether the studio access is refused for the customer during the idle period - `idlePeriodReasons` (array, required) List of idle period reasons - `idlePeriodReasons.id` (integer, required) Unique ID of the idle period reason Example: 203 - `idlePeriodReasons.name` (string, required) Name of the idle period reason Example: "Vacation" - `idlePeriodReasons.documentRequired` (boolean, required) Whether the idle period reason requires a document of proof - `idlePeriodCreationStatus` (string, required) Status of the amendment configuration. Enum: "READ", "CHANGES_REQUIRE_VERIFICATION", "CHANGES_WITHOUT_VERIFICATION" - `contractHasExtension` (boolean, required) Whether the idle period extends the original contract end date - `unlimitedAllowed` (boolean, required) Whether the unlimited idle period can be created. For unlimited idle periods, the limitations imposed by maxTerm and maxTermPerReferencePeriod do not apply. Example: true - `freeTerms` (object, required) Count of free idle period terms - `freeTerms.value` (integer, required) The value of the term Example: 2 - `freeTerms.unit` (string, required) Represents a temporal unit Enum: "DAY", "WEEK", "MONTH", "YEAR" - `dayBasedTermShorteningAllowed` (boolean, required) Whether day-based term shortening via end date field is allowed during idle period update, independent of the idle period configuration temporal unit restriction. - `idlePeriodFeeCalculationConfig` (object, required) Configuration for idle period fee calculation - `idlePeriodFeeCalculationConfig.idlePeriodAmount` (object, required) The idle period amount - `idlePeriodFeeCalculationConfig.idlePeriodAmountPerTermUnit` (object) The idle period amount per term unit - `idlePeriodFeeCalculationConfig.defaultTemporalUnit` (string) The default temporal unit for the idle period Enum: "DAY", "WEEK", "MONTH" - `idlePeriodFeeCalculationConfig.dynamicIdlePeriodAmountPercentage` (number) The dynamic idle period amount percentage Example: 10 - `idlePeriodFeeCalculationConfig.recurringIdlePeriodCharges` (boolean) Indicates whether recurring idle period charges are enabled ## Response 400 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 401 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 403 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 404 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 409 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 429 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 500 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST"